Subject: Re: [PATCH] mpc7448: add alias list to DTS, clean out old chosen node

From: Paul Gortmaker <[email-masked]>
Date: Thu, 10 Jul 2008 18:17:31 -0400

Scott Wood wrote:
> Paul Gortmaker wrote:
>> Well, for the mpc7448hpc2, I can say for sure that there are
>> chosen-duplicating versions of u-boot 1.3.1 in use -- since
>> there wasn't a prebuilt, validated image newer than 1.1.3(?)
>> available anywhere back some 6 months ago, I'd built 1.3.1
>> and made it available with our 2.6.21 kernel.
>
> OK, if that version's in widespread use it probably makes sense to 
> remove the chosen node.

Sounds good - thanks.

>
>> If all the other boards run cuboot without console output,
>
> They don't *all* run without output -- see the 8xx, 82xx, and 4xx boards.

Yep, saw those when grepping around.  My "all" was implicitly still
referring to the newer 83xx/85xx/(86xx) reference boards, and
whether it made sense to be adding chosen nodes to those so the
cuImage had console output too -- if folks thought that was a better
route, then I could see leaving the 7448 as-is, adding the nodes
to the other boards, and just dealing with educating folks on the
chosen-duplicating version issue as it comes up.

Paul.

> -Scott